GET
Payments/payments/{paymentUuid}/statusحالة عملية الدفع
يعيد أحدث حالة لعملية الدفع من المنسق.
مستوى الوصولauthenticatedالحدpay_apiمنع التكرارnoneالمصادقةBearerAuth
المصدر
LuxApi/Modules/PayAPI/Controllers/StatusController.php::showLuxPayProjects @ 146e98baa44eالمعاملات
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...paymentUuidpathPayment UUID.
Example:cf1b7e8e-5bba-4ddb-b2e4-6f4a10d24857أمثلة الكود
العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
--url 'https://sandbox-api.luxpay.example/v1/payments/cf1b7e8e-5bba-4ddb-b2e4-6f4a10d24857/status' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'الاستجابات
200Successful response.
successboolean
Example:
truedataPaymentResult
{
"success": true,
"data": {
"success": false,
"transaction_id": "string",
"status": "string",
"provider": "string",
"provider_ref": "string",
"amount": 1,
"currency": "string",
"fee_amount": 1,
"net_amount": 1,
"message": "string",
"error_code": "string",
"is_duplicate": false,
"metadata": {}
}
}